#../addons/eventscripts/playercounter/playercounter.py

##################
##Player Counter##
######By MiB######
##################

##########################
##Import Classes/Methods##
##########################
import es # Imports the es.<method> class which is used for most general stuff.
import gamethread # Imports the gamethread.<method> class which is used for delaying and making repeats.

############################
##Setting Script Variables##
############################
global check # Makes the variable "check" global which allows the script to call/use it anywhere.
check = 0 # Sets the variable "check" to 0.

#################
##Script Config##
#################
delay = 0.5 # How often does it send the player counter message.

###################
##Map Start Event##
###################
def es_map_start(ev): # Calls for the coding below to be done when this script is loaded.
    global check
    check = 1 # Sets the variable "check" to 1 so the repeat can start.
    PlayerCounter() # Starts up the player counter repeat message.

#######################
##Script Unload Event##
#######################
def unload(): # Calls for the coding below to be done when this script is unloaded.
    global check
    check = 0 # Sets the variable "check" to 0 so the repeat stops.

#########################
##Player Counter Method##
#########################
def PlayerCounter(): # Calls for the coding below to be done when this method is called.
    if check == 1: # Checks if the variable "check" is set to 1.
        t = 0 # Sets the Terrorist team count to 0.
        ct = 0 # Sets the Counter-Terrorist team count to 0.
        spec = 0 # Sets the Spectator team count to 0.
        un = 0 # Sets the Unassigned Players team count to 0.
        total = 0 # Sets the total player count to 0.
        for userid in es.getUseridList(): # Loops on every player.
            if es.exists("userid",userid): # Checks to see if the player is at or has passed the motd window.
                team = es.getplayerteam(userid) # Gets the player's team number.
                if team == 0: un += 1 # If the player is a Unassigned Player that team count gos up 1.
                if team == 1: spec += 1 # If the player is a Spectator that team count gos up 1.
                if team == 2: t += 1 # If the player is a Terrorist that team count gos up 1.
                if team == 3: ct += 1 # If the player is a Counter-Terrorist that team count gos up 1.
                total += 1 # Adds 1 to the total player count.
        es.usermsg("create","rt","KeyHintText") # Creates the Right Text user message.
        es.usermsg("write","byte","rt",1) # Writes the byte to 1 on the Right Text user message.
        es.usermsg("write","string","rt","~Player Counter~\nUnassigned Players - %i\nSpectators - %i\nTerrorist - %i\nCounter-Terrorist - %i\nTotal Count - %i\n~Player Counter~"%(un,spec,t,ct,total)) # Writes the string of the Right Text user message.
        for userid in es.getUseridList(): # Loops on every player
            if es.exists("userid",userid): # Checks to see if the player is at or has passed the motd window.
                es.usermsg("send","rt",userid) # Sends the Right Text user message to the player.
        es.usermsg("delete","rt") # Deletes the Right Text user message.
        gamethread.delayed(delay,PlayerCounter,()) # Repeats the PlayerCounter method in X amount of seconds depending on the delay variable.

#############################################################
# This script was a example/simple script written by MiB.   #
# You can contact MiB at ES forums or WCS forums.           #
# If you want to learn eventscripting vist eventscripts.com #
# Thanks to Mattie for making Mattie's EventScripts.        #
#############################################################
